Skip to main content
POST
Draft an offer from a story

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

storyId
integer
required

Story id in the current organization.

Body

application/json

Validated request fields for this operation.

title
string
required

Title. Validation: required, string, max:255.

Maximum string length: 255
Example:

"Field update from the education program"

beneficiary_label
string | null

Beneficiary label. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Beneficiary Label"

problem_statement
string | null

Problem statement. Validation: nullable, string, max:5000.

Maximum string length: 5000
Example:

"Problem Statement"

solution_statement
string | null

Solution statement. Validation: nullable, string, max:5000.

Maximum string length: 5000
Example:

"Solution Statement"

cost_amount
number | null

Cost amount. Validation: nullable, numeric, min:0.

Required range: x >= 0
Example:

25

cost_currency
string | null

Cost currency. Validation: nullable, string, max:16.

Maximum string length: 16
Example:

"Cost Currency"

cost_label
string | null

Cost label. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Cost Label"

hope_statement
string | null

Hope statement. Validation: nullable, string, max:5000.

Maximum string length: 5000
Example:

"Hope Statement"

ask_copy
string | null

Ask copy. Validation: nullable, string, max:5000.

Maximum string length: 5000
Example:

"Ask Copy"

donor_safe_summary
string | null

Donor safe summary. Validation: nullable, string, max:5000.

Maximum string length: 5000
Example:

"Donor Safe Summary"

suggested_audience_json

Suggested audience json. Validation: nullable, array.

channel_copy_json

Channel copy json. Validation: nullable, array.

source_payload_json

Source payload json. Validation: nullable, array.

Response

Operation result.

data
object

Stored offer. Public/picker projections instead return numeric cost_amount and omit governance fields.